Commit f235d87e authored by Sébastien Wilmet's avatar Sébastien Wilmet

build: don't use gnome-autogen.sh (deprecated)

gnome-common is deprecated, use the new autogen.sh as provided at:
https://wiki.gnome.org/Projects/GnomeCommon/Migration

From the template, the call to glib-gettextize has been removed. The
call to intltoolize is kept because Devhelp still uses intltool.

https://bugzilla.gnome.org/show_bug.cgi?id=773900
parent fa66e350
#!/bin/sh #!/bin/sh
# Run this to generate all the initial makefiles, etc. # Run this to generate all the initial makefiles, etc.
test -n "$srcdir" || srcdir=$(dirname "$0")
test -n "$srcdir" || srcdir=.
srcdir=`dirname $0` olddir=$(pwd)
test -z "$srcdir" && srcdir=.
(test -f $srcdir/src/dh-main.c) || { cd $srcdir
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level Devhelp directory."
exit 1
}
which gnome-autogen.sh || { (test -f configure.ac) || {
echo "You need to install gnome-common." echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
exit 1 exit 1
} }
git submodule update --init --recursive # shellcheck disable=SC2016
PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
echo "*** If you wish to pass any to it, please specify them on the" >&2
echo "*** '$0' command line." >&2
echo "" >&2
fi
aclocal --install || exit 1
gtkdocize --copy || exit 1
intltoolize --force --copy --automake || exit 1
autoreconf --verbose --force --install || exit 1
gtkdocize || exit 1 cd "$olddir"
if [ "$NOCONFIGURE" = "" ]; then
$srcdir/configure "$@" || exit 1
. gnome-autogen.sh if [ "$1" = "--help" ]; then exit 0 else
echo "Now type 'make' to compile $PKG_NAME" || exit 1
fi
else
echo "Skipping configure process."
fi
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment